Mautic Community Forums

Error 500 on Installation

Hello, I really love Mautic, but I struggle with the installation. I always get internal server error 500.

Here is the log of the error message :

[2016-11-25 11:57:49] mautic.CRITICAL: Uncaught PHP Exception Exception: “There is no suitable CSPRNG installed on your system” at /fullpathinmyvps/email/vendor/paragonie/random_compat/lib/random.php line 185 {“exception”:"[object] (Exception(code: 0): There is no suitable CSPRNG installed on your system at /fullpathinmyvps/email/vendor/paragonie/random_compat/lib/random.php:185)"} []

[2016-11-25 11:57:49] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service “fos_rest.form.extension.csrf_disable” is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /fullpathinmyvps/email/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []



php version : 5.6.28

mysql version : 5.53



regarding the CSPRING I found something about downgrading



in short, I am stuck. all help would be appreciated.



In return I can make a video for you or offer you access to a facebook campaign system to automate your facebook posts if you can help me out.



Thanks a lot upfront guys !


Hello, I really love Mautic, but I struggle with the installation. I always get internal server error 500.
Here is the log of the error message :
[2016-11-25 11:57:49] mautic.CRITICAL: Uncaught PHP Exception Exception: “There is no suitable CSPRNG installed on your system” at /fullpathinmyvps/email/vendor/paragonie/random_compat/lib/random.php line 185 {“exception”:"[object] (Exception(code: 0): There is no suitable CSPRNG installed on your system at /fullpathinmyvps/email/vendor/paragonie/random_compat/lib/random.php:185)"} []
[2016-11-25 11:57:49] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service “fos_rest.form.extension.csrf_disable” is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /fullpathinmyvps/email/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []

php version : 5.6.28
mysql version : 5.53

regarding the CSPRING I found something about downgrading

in short, I am stuck. all help would be appreciated.

In return I can make a video for you or offer you access to a facebook campaign system to automate your facebook posts if you can help me out.

Thanks a lot upfront guys !

My php settings can be found here : here

try:
upgrade to php 7.0
allow ; fileinfo & intl in php extensions
clear cache